S3 Abort Multipart Upload
  • 01 Jun 2023
  • Dark
    Light

S3 Abort Multipart Upload

  • Dark
    Light

Article summary

DELETEhttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>?uploadId=

This operation aborts a multipart upload. 

AUTHORIZATION AWS Signature

This request is usingAWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

uploadId


PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.


Example Request

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1?legal-hold=null' \
--data '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<LegalHold xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Status>ON</Status>
</LegalHold>'

Example Response

204 NO CONTENT

Body

No response body

This request doesn't return any response body


Headers (6)

Cache-Control

max-age=0, no-cache, no-store

x-amz-request-id

56aa38410aaebdd

x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive






Was this article helpful?